petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscViewerReadable

Return a flag whether the viewer can be read from

### Synopsis

    #include "petscviewer.h"
    PetscErrorCode  PetscViewerReadable(PetscViewer viewer, PetscBool *flg)

Not Collective

### Input Parameters

viewer -the PetscViewer context

### Output Parameters

flg -PETSC_TRUE if the viewer is readable, PETSC_FALSE otherwise

### Notes

PETSC_TRUE means that viewer's PetscViewerType supports reading (this holds e.g. for PETSCVIEWERBINARY) and viewer is in a mode allowing reading, i.e. PetscViewerFileGetMode() returns one of FILE_MODE_READ, FILE_MODE_UPDATE, FILE_MODE_APPEND_UPDATE.

### See Also

PetscViewerWritable(), PetscViewerCheckReadable(), PetscViewerCreate(), PetscViewerFileSetMode(), PetscViewerFileSetType()

### Level

intermediate

### Location

src/sys/classes/viewer/interface/view.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages